AbstractArtifact
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.module.descriptor
Class AbstractArtifact

    java.lang.Object
      org.apache.ivy.core.module.descriptor.AbstractArtifact

All Implemented Interfaces:
  Artifact, ExtendableItem

Direct Known Subclasses:
  DefaultArtifact, MDArtifact

    public abstract class AbstractArtifact

extends java.lang.Object
implements Artifact

Constructor Summary
`AbstractArtifact()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAttribute(java.lang.String attName)` Gets the value of an attribute Can be used to access the value of a standard attribute (like organisation, revision) or of an extra attribute.
`java.util.Map` | `getAttributes()` Returns a Map of all attributes of this extendable item, including standard and extra ones.
`java.lang.String` | `getExtraAttribute(java.lang.String attName)` Gets the value of an extra attribute Can be used only to access the value of an extra attribute, not a standard one (like organisation, revision)
`java.util.Map` | `getExtraAttributes()` Returns a Map of all extra attributes of this extendable item.
`java.util.Map` | `getQualifiedExtraAttributes()` Returns a Map of all extra attributes of this extendable item.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ivy.core.module.descriptor.Artifact
`getConfigurations, getExt, getId, getModuleRevisionId, getName, getPublicationDate, getType, getUrl, isMetadata`

Constructor Detail

### AbstractArtifact

    public AbstractArtifact()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAttribute

    public java.lang.String getAttribute(java.lang.String attName)

  Description copied from interface: `ExtendableItem`
  Gets the value of an attribute Can be used to access the value of a standard attribute (like organisation, revision) or of an extra attribute.

  Specified by:
    `getAttribute` in interface `ExtendableItem`
  Parameters:
    `attName` - the name of the attribute to get
  Returns:
    the value of the attribute, null if the attribute doesn't exist

### getAttributes

    public java.util.Map getAttributes()

  Description copied from interface: `ExtendableItem`
  Returns a Map of all attributes of this extendable item, including standard and extra ones. The Map keys are attribute names as Strings, and values are corresponding attribute values (as String too). Extra attributes are included in unqualified form only.

  Specified by:
    `getAttributes` in interface `ExtendableItem`
  Returns:
    A Map instance containing all the attributes and their values.

### getExtraAttribute

    public java.lang.String getExtraAttribute(java.lang.String attName)

  Description copied from interface: `ExtendableItem`
  Gets the value of an extra attribute Can be used only to access the value of an extra attribute, not a standard one (like organisation, revision)

  Specified by:
    `getExtraAttribute` in interface `ExtendableItem`
  Parameters:
    `attName` - the name of the extra attribute to get. This name can be either qualified or unqualified.
  Returns:
    the value of the attribute, null if the attribute doesn't exist

### getExtraAttributes

    public java.util.Map getExtraAttributes()

  Description copied from interface: `ExtendableItem`
  Returns a Map of all extra attributes of this extendable item. The Map keys are unqualified attribute names as Strings, and values are corresponding attribute values (as String too)

  Specified by:
    `getExtraAttributes` in interface `ExtendableItem`
  Returns:
    A Map instance containing all the extra attributes and their values.
  See Also:
    `ExtendableItem.getQualifiedExtraAttributes()`

### getQualifiedExtraAttributes

    public java.util.Map getQualifiedExtraAttributes()

  Description copied from interface: `ExtendableItem`
  Returns a Map of all extra attributes of this extendable item.

  The Map keys are qualified attribute names as Strings, and values are corresponding attribute values (as String too).

  An attribute name is qualified with a namespace exactly the same way xml attributes are qualified. Thus qualified attribute names are of the form `prefix:name`

  Specified by:
    `getQualifiedExtraAttributes` in interface `ExtendableItem`
  Returns:
    A Map instance containing all the extra attributes and their values.
  See Also:
    `ExtendableItem.getExtraAttributes()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD